Loading...
Searching...
No Matches
fourdst::composition::exceptions::CompositionError Class Reference

Base class for exceptions related to composition objects. More...

`#include <exceptions_composition.h>`

Inheritance diagram for fourdst::composition::exceptions::CompositionError:
[legend]
Collaboration diagram for fourdst::composition::exceptions::CompositionError:
[legend]

## Public Member Functions

| CompositionError (std::string message)
| Constructs a CompositionError with an error message.
const char * | what () const noexcept override
| Returns the error message.

## Protected Attributes

std::string | m_message
| The error message.

## Detailed Description

Base class for exceptions related to composition objects.

This exception is thrown when an error occurs at the composition level, such as invalid configuration or state.

Definition at line 15 of file exceptions_composition.h.

## Constructor & Destructor Documentation

## CompositionError()

fourdst::composition::exceptions::CompositionError::CompositionError | ( | std::string | message | ) |

inlineexplicit

Constructs a CompositionError with an error message.

Parameters

  message | The error message.

Definition at line 26 of file exceptions_composition.h.

## Member Function Documentation

## what()

const char * fourdst::composition::exceptions::CompositionError::what | ( |  | ) | const

inlinenodiscardoverridenoexcept

Returns the error message.

Returns
  A C-style string containing the error message.

Definition at line 33 of file exceptions_composition.h.

## Member Data Documentation

## m_message

std::string fourdst::composition::exceptions::CompositionError::m_message

protected

The error message.

Definition at line 20 of file exceptions_composition.h.

The documentation for this class was generated from the following file:

- src/composition/include/fourdst/composition/exceptions/exceptions_composition.h